Name:          jboss-openshift-metrics-module
Version:       1.0.2.redhat_1
Release:       1.2%{?dist}
Summary:       Collects and exposes runtime metrics from a running JBoss instance
License:       ASL 2.0
URL:           http://www.openshift.com
Source0: openshift-metrics-1.0.2.redhat-1.pom
Source1: openshift-metrics-1.0.2.redhat-1-jboss-module.zip
Source2: openshift-metrics-1.0.2.redhat-1.jar
Source3: openshift-metrics-1.0.2.redhat-1-scm-sources.zip
Requires:      quartz
BuildArch:     noarch

%global install_dir /usr/share/openshift/jboss/modules
%global module_dir /com/openshift/metrics/main

%description
Collects and exposes runtime metrics from a running JBoss instance.

%prep
%setup -q -c -T -a 1

%build

%install
%{__mkdir} -p %{buildroot}%{install_dir}%{module_dir}

%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{install_dir}%{module_dir}
JARNAME=$(basename %{SOURCE2})
LINKNAME=${JARNAME/-1.0.2.redhat-1/}
%{__ln_s} $JARNAME %{buildroot}%{install_dir}%{module_dir}/$LINKNAME

find . -name \*.jar -delete

%{__cp} -r * %{buildroot}%{install_dir}

%{__ln_s} %{_javadir}/quartz.jar %{buildroot}%{install_dir}%{module_dir}/quartz.jar


%files
%defattr(-,root,root,-)
%{install_dir}%{module_dir}/*

%changelog
* Fri May  2 2014 Andy Goldstein <agoldste@redhat.com> 1.0.2-1.2
- Correct location of jar files

* Fri May  2 2014 Andy Goldstein <agoldste@redhat.com> 1.0.2-1.1
- Move installation location to /usr/share/openshift

* Fri Apr 25 2014 Andy Goldstein <agoldste@redhat.com> 1.0.2-1
- Update spec to use quartz package

* Mon Apr 21 2014 Brenton Leanhardt <bleanhar@redhat.com> 1.0.1-1
- new package built with tito
